.region-navigation.sps--blw {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 25;
}

.region-navigation + main {
    margin-top: 64px;
}


.navbar-brand {
    img {
        min-height: 52px;
        @include media-breakpoint-up(lg) {
            margin-top: -8px;
            margin-bottom: -6px;
            margin-right: 0;
        }
    }  
}


#navbarSupportedContent {
    @include media-breakpoint-up(lg) {
        flex-direction: row-reverse;
    }
}


.nav-item {
    text-transform: uppercase;
}
@include media-breakpoint-down(sm) {
    .navbar-brand>img {
        max-width: 100%;
    }
}

.navbar-main.navbar-dark {
    margin-bottom: 0;
    z-index: 10;
    .navbar-toggler {
        border: 0;
        color: $white;
        padding: 0;
        &:focus {
            outline: 0;
        }
    }
    .navbar-nav {
        .nav-link {
            @include media-breakpoint-up(lg) {
                color: $white;
                font-weight: 700;
                text-transform: capitalize;
                // margin-left: 2rem;
            }
            .badge {
                font-size: .75rem;
            }
        }
    }
    .nav-pills {
        background-color: $white;
        
        @include media-breakpoint-up(lg) {
            background-color: transparent;
        }

        .nav-link {
            color: $white;
            font-weight: 700;
            text-transform: none;
            padding: 0.7rem 0.5rem;
            opacity: 1;

            @include media-breakpoint-up(lg) {
                color: $primary;
                font-weight: 700;
                text-transform: uppercase;
                margin-left: 0;
            }
        }

        .nav-item.dropdown {
            .dropdown {
                padding: 2px 0rem 0rem 1.5rem;
                border-radius: 20px 20px 0px 0px;

                .btn, .btn:focus, .btn:hover {
                    outline: none;
                    border: none;
                    box-shadow: none;
                    &:after {
                        color: transparent;
                    }
                }

                svg {
                    path {
                        transition: none;
                        fill: $white;
                    }
                }
                
                .dropdown-menu {
                    border: none;
                    border-radius: 0px 4px 4px 4px;

                    .dropdown-item {
                        color: #003da5;
                        text-transform: initial;
                        font-size: 14px;
                        padding: 7px 15px;
                        line-height: 180%;
                        &:active {
                            background-color: #f8f9fa;
                        }
                    }
                }
    
                &.show {
                    background-color: $white;
                    svg {
                        path {
                            fill: #003DA6;
                        }
                    }
                    .btn {
                        &:after {
                            color: transparent;
                        }
                    }
                    .dropdown-menu {
                        top: 90%;
                    }
                }
            }
        }
    }

    .navbar-collapse.collapsing,
    .navbar-collapse.show {
        background-image: url(https://cdn.statically.io/img/www.growhappy.co.id/themes/growhappytheme/assets/images/bg-navigation-mobile.png);
        background-size: 100% auto;
        background-repeat: no-repeat;
        background-position: bottom left;
        padding: 0.5rem 1rem;
        margin: 0 -1rem -0.5rem;

        @include media-breakpoint-up(md) {
            margin: 0 -1.5rem -0.5rem;
        }
    }

    .navbar-profile-info {
        @include media-breakpoint-down(md) {
            background-color: $white;
            border-radius: 0 0 1.5rem 1.5rem;
            box-shadow: 0 0 1rem #00000070;
            padding-top: 1.5rem;
            .nav-item {
                margin: 0;
                width: 100%;
            }
        }
        @include media-breakpoint-up(lg) {
            background: $white;
            border-radius: 0 0 1.5rem 1.5rem;
            margin: 0 -1rem 1rem;
            padding: 1rem 1.5rem;
            margin: 0 -1rem 0 0;
            padding: 0;
            background: none;
            border-radius: 0;
        }

        .media {
            @include media-breakpoint-up(lg) {
                flex-direction: row-reverse;
            }
        }

        .profile-picture-wrapper {
            display: flex;
        }

        .profile-picture {
            width: 58px;
            height: 58px;
            display: block;
            background-size: cover;
            border-radius: 50%;
            border: 3px solid white;
        }

        .profile-tier-band {
            padding: 2px;
            border-radius: 50%;
            position: relative;
        }

        .profile-tier-band__gold,
        .profile-tier-band__gold .profile-tier-label {
            background: #F0BA06;
        }

        .profile-tier-band__silver,
        .profile-tier-band__silver .profile-tier-label {
            background: #C6C6C6;
        }

        .profile-tier-band__platinum,
        .profile-tier-band__platinum .profile-tier-label {
            background: #C7B277;
        }

        .profile-tier-label {
            display: inline-block;
            position: absolute;
            bottom: 3px;
            left: 50%;
            transform: translate(-50%, 50%);
            color: white;
            font-weight: bold;
            font-size: 9px;
            text-transform: none;
            line-height: 1;
            padding: 0.3em 0.8em;
            border-radius: 1.5em;
        }

        .profile-name {
            font-family: crosswordBelle;
            line-height: 120%;
            color: #003DA6;
            text-transform: none;
            font-weight: 700;
            letter-spacing: -0.02em;
            font-size: 1.6rem;
            margin-bottom: 0.15em;
            margin-top: 0.3em;

            @include media-breakpoint-up(lg) {
                color: white;
            }
        }

        .profile-point {
            color: #10A6ED;
            text-transform: none;
            font-weight: 700;
            font-size: 0.75rem;
            margin: 0;
        }

        .profile-menu-wrapper {
            @include media-breakpoint-up(lg) {
                position: absolute;
                right: -1rem;
                top: calc(100% + 0.5rem);
                background: white;
                border-radius: 0px 0px 24px 24px;
                overflow: hidden;
                box-shadow: 0px 10px 30px rgba(0,0,0,0.2);
                max-height: 16rem;
                will-change: max-height;
                transition: max-height 0.2s ease-in;
                width: 220px;
            }

            &.is-hidden {
                @include media-breakpoint-up(lg) {
                    max-height: 0rem;
                }
            }
        }

        .btn-profile-menu-toggle {
            background: white;
            margin-left: 0.5rem;
            color: #0038aa;
            padding: 0.6em 1em;
            line-height: 1;
            font-size: 0.45rem;
            .ico {
                height: 1em;
            }
        }

        .profile-menu {
            margin: 0 -1.5rem;
            padding: 0;

            @include media-breakpoint-up(lg) {
                display: block;
                left: revert;
                right: 0;
                border: none;
            }

            li {
                padding: 1em 1.5rem;
                margin: 0;

                @include media-breakpoint-up(lg) {
                    padding: 0.75em 1.5rem;
                }

            }

            li + li {
                border-top: 1px solid #E3F5FF;
            }

            a {
                color: #003DA6;
                display: block;
                font-weight: 700;
                text-align: center;
                text-decoration: none;

                @include media-breakpoint-up(lg) {
                    font-size: 14px;
                }
            }

            a.btn-primary {
                color: white;
            }
        }
    }
}

@include media-breakpoint-up(lg) {
    .navbar-main {
        .navbar-nav {
            &.nav-pills {

                li {
                    margin-left: 1rem;
    
                    .nav-link {
                        background-color: #fff;
                        border-radius: 50rem;
                        color: #0038aa;
                        font-size: .7rem;
                        padding: 0.5em 1.2em;
                        line-height: 1;
                        will-change: background-color;
                        transition: background-color 0.1s ease-in;

                        &:hover,
                        &:active,
                        &:focus {
                            background-color: #D9E2F3;
                        }
                    }
                }
            }
        }
    }
}



.container-login-register {
    position: absolute;
    background: white;
    border-radius: 0px 0px 24px 24px;
    overflow: hidden;
    box-shadow: 0px 10px 30px rgba(0, 0, 0, 0.2);
    z-index: 3;
    padding: 0 1rem;
    top: calc(100% + 0.5rem);
    width: 100%;
    will-change: max-height;
    transition: max-height .2s ease-in;
    max-height: 6rem;
    @include media-breakpoint-up(md) {
        right: -1rem;
        width: 380px;
    }

    &.is-hidden {
        max-height: 0;
    }

    .login-intro {
        font-weight: bold;
        font-size: 13px;
        line-height: 120%;
        letter-spacing: 0.02em;
        color: #0038AA;
        margin: 0;
        display: inline-block;
        width: 60%;
        text-align: left;
        padding-right: 1em;
        vertical-align: middle;

        @include media-breakpoint-up(lg) {
            font-size: 14px;
            width: 63%;
        }
    }

    .btn-login {
        width: 38%;
        font-size: 13px;
        text-transform: uppercase;
        vertical-align: middle;
        padding-top: 0.7em;
        padding-bottom: 0.7em;
        line-height: 1;
        vertical-align: top;

        @include media-breakpoint-up(md) {
            font-size: 12px;
            width: 35%;
        }
    }

    .register-info {
        font-weight: 300;
        font-size: 11px;
        line-height: 120%;
        letter-spacing: 0.02em;
        color: #000000;
        margin: 1em 0 0;
        text-align: left;
        width: 100%;

        a {
            // font-size: 1.3em;
            font-weight: 700;
        }
    }
}

@include media-breakpoint-up(xl) {
    .navbar-main {
        .navbar-nav {
            &.nav-pills {
                li {
                    .nav-link {
                        font-size: .8rem;
                        padding: 0.5em 1.7em;
                        line-height: 1;
                    }
                }
            }
        }
    }


}
@include media-breakpoint-up(lg) {
    .navbar-main .navbar-nav.nav-pills li {
        font-weight: bold;
        margin-left: .5rem;
    }
}
// @include media-breakpoint-up(xl) {
//     .navbar-main .navbar-nav.nav-pills li .nav-link {
//         padding: .25rem 1.25rem;
//     }
// }

#block-mainnavigation {
    .button-toggler {
        border: none;

        svg {
            color: white;

            path:nth-child(1) {
                display: none;
            }

            path:nth-child(2) {
                transform: scaleX(66%) translate(47%);
            }
        }
    }
}

#block-mainnavigation .navbar-collapse:not(.collapsing),
#block-mainnavigation .navbar-collapse:not(.collapse.show) {
    height: 57px;
}

// nav tabs
.nav.nav-pills {
    border: 2px solid $blue;
    border-radius: 3rem;
    .nav-link {
        border: 2px solid $blue;
        border-radius: 3rem 0 0 3rem;
        margin: -2px 0;
        border-right: 0;
        color: $blue;
        padding: .65rem .5rem;
        display: flex;
        text-decoration: none;
        justify-content: center;
        align-items: center;
        @include media-breakpoint-up(lg) {
            padding: 1rem 1.75rem;
        }
        &.active {
            background-color: $yellow;
        }
    }
    .active {
        border-color: transparent;
        border-radius: 3rem;
        color: $primary;
        @include media-breakpoint-up(lg) {
            padding: 1rem 1.75rem;
        }
    }
    li {
        text-transform: capitalize;
        @include media-breakpoint-down(sm) {
            flex-basis: 0;
            flex-grow: 1;
            text-align: center;
        }
    }
    li:first-child {
        .nav-link {
            border: 0;
            &.active {
                background-color: transparent;
                color: $blue;
                @include media-breakpoint-up(lg) {
                    padding: 1rem 1.75rem;
                }
            }
        }
    }
    li:last-child {
        .nav-link {
            border: 0;
            position: relative;
            right: -2px;
            &.active {
                background-color: $orange;
                padding: .77rem .75rem;
            }
        }
    }

    &.nav-pills {
        border: none !important;
        background-color: #fff;
        border-radius: 3rem;

        &.w-lg-500 {
            @include media-breakpoint-up(lg) {
                max-width: 500px;
            }
        }

        .nav-item {
            width: 33%;

            a {
            font-size: 14px;
            height: 100%;
            }

            .nav-link {
                border-radius: 3rem;
                border: 2px solid #E5F6FF;
                border-top: 0px;
                border-bottom: 0px;
                margin-left: -1.25rem;
                margin-right: -1.55rem;
                background-color: #ffffff;
                padding-left: 1.5rem;
                padding-right: 1.5rem;
                padding-top: 1rem;
                padding-bottom: 1rem;
                position: relative;
                text-align: center;

                @include media-breakpoint-up(md) {
                    padding-left: 30%;
                    padding-right: 30%;
                    font-size: 16px;
                }

                &::before {
                    content: "";
                    position: absolute;
                    width: 100%;
                    height: 100%;
                    border: 2px solid #E5F6FF;
                    border-left: 0px;
                    border-right: 0px;
                    left: 0px;
                }

                &.active {
                    background-color: #E6F6FF;
                    color: #0038aa;
                    position: relative;
                    z-index: 9;

                    &.yellow {
                        background-color: #F6E746;
                        &::before {
                            border: 2px solid #F6E746;
                            border-radius: 3rem;
                        }
                    }

                    &.orange {
                        background-color: #F7AA67;
                        &::before {
                            border: 2px solid #F7AA67;
                            border-radius: 3rem;
                        }
                    }
                }
            }
        }

        &.blue-theme {
            background-color: #0038aa;
            // padding-left: 2.5rem;
            .nav-link {
                border-color: #10A6ED;
                background-color: #0038aa;
 
                margin-left: -1rem;
                margin-right: -1rem;
                padding-left: 1.5rem;
                padding-right: 1.5rem;
                line-height: 1.2;

                &::before{
                    border-color: #10A6ED;
                }
            }
        }

        &.pills-blue {
            .nav-link {
                border: 0;
                background-color: $primary;
                color: $blue;
                &:before {
                    border: 0;
                }
                &.active {
                    background-color: $blue;
                    color: $white;
                }
                @include media-breakpoint-up(lg) {
                    &.active {
                        background-color: $yellow;
                        color: $primary;
                    }
                }
            }
        }

        .nav-item:nth-child(2) {
            .nav-link {
            position: relative;
            z-index: 8;
            }
        }

        .nav-item:nth-child(3) {
            .nav-link {
            &::before {
                border-radius: 0rem 3rem 3rem 0rem;
            }
            }
        }

        .nav-item:nth-child(1) {
            .nav-link {
                &::before {
                    border-radius: 3rem 0rem 0rem 3rem;
                }
            }
        }
    }
}

// nav close animation
// button path {
//     transition: .25s ease-in-out;
//     transform: translateX(0) rotate(0deg);
//     position: relative;
// }
// button[aria-expanded="true"] path {
//     opacity: 0;
// }
// button[aria-expanded="true"] path:first-child, button[aria-expanded="true"] path:last-child {
//     opacity: 1;
//     transform: translateX(-8px) translateY(8px) rotate(-45deg);
// }
// button[aria-expanded="true"] path:first-child {
//     transform: translate(9px) rotate(45deg);
// }

